org.apache.solr.search

## Class FunctionRangeQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.solr.search.SolrConstantScoreQuery
    - - org.apache.solr.search.FunctionRangeQuery

- All Implemented Interfaces:
    ExtendedQuery, PostFilter

      public class FunctionRangeQuery
      extends SolrConstantScoreQuery
      implements PostFilter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.search.SolrConstantScoreQuery

      `SolrConstantScoreQuery.ConstantWeight`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionRangeQuery(ValueSourceRangeFilter filter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DelegatingCollector` | `getFilterCollector(IndexSearcher searcher)` Returns a DelegatingCollector to be run after the main query and all of its filters, but before any sorting or grouping collectors

    - ### Methods inherited from class org.apache.solr.search.SolrConstantScoreQuery

      `createWeight, equals, getCache, getCacheSep, getCost, getFilter, hashCode, setCache, setCacheSep, setCost, toString`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `classHash, rewrite, sameClassAs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.solr.search.ExtendedQuery

      `getCache, getCacheSep, getCost, setCache, setCacheSep, setCost`

- - ### Constructor Detail

    - #### FunctionRangeQuery

          public FunctionRangeQuery(ValueSourceRangeFilter filter)

  - ### Method Detail

    - #### getFilterCollector

          public DelegatingCollector getFilterCollector(IndexSearcher searcher)

      Description copied from interface: `PostFilter`
      Returns a DelegatingCollector to be run after the main query and all of its filters, but before any sorting or grouping collectors
      Specified by:
        `getFilterCollector` in interface `PostFilter`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.